跳转到主要内容
GET
/
v1
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth-chart
钱包 - 净值图表
curl --request GET \
  --url https://api.chainstream.io/v1/wallet/{chain}/{walletAddress}/net-worth-chart \
  --header 'Authorization: Bearer <token>'
{
  "walletAddress": "HV1KXxWFaSeriyFvXyx48FqG9BoFbfinB8njCJonqP7K",
  "currentTimestamp": "2025-07-31T23:59:59.000Z",
  "pastTimestamp": "2025-07-01T23:59:59.000Z",
  "history": [
    {
      "timestamp": "2025-07-30T23:59:59.000Z",
      "netWorth": "13210463.21",
      "netWorthChange": "1971274.94",
      "netWorthChangePercent": "17.54"
    }
  ]
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络中列出的区块链名称

可用选项:
sol,
bsc,
eth
walletAddress
string
必填

钱包地址

示例:

"HV1KXxWFaSeriyFvXyx48FqG9BoFbfinB8njCJonqP7K"

查询参数

hours
integer<int32>
默认值:24

要获取的历史小时数

必填范围: 1 <= x <= 720
示例:

24

响应

200 - application/json
walletAddress
string
必填

钱包地址

示例:

"HV1KXxWFaSeriyFvXyx48FqG9BoFbfinB8njCJonqP7K"

currentTimestamp
string
必填

图表期间结束时间戳(ISO 8601)

示例:

"2025-07-31T23:59:59.000Z"

pastTimestamp
string
必填

图表期间开始时间戳(ISO 8601)

示例:

"2025-07-01T23:59:59.000Z"

history
object[]
必填

历史净值数据点